<?php
/*
Plugin Name: Netcash Shop
Version: 6.4.4
Text Domain: ecwid-shopping-cart
*/

define( 'ECWID_WL_PLUGIN_NAME', 'Netcash Shop' );
define( 'ECWID_WL_PLUGIN_DESCRIPTION', 'Netcash Shop is a full-featured shopping cart. It can be easily integrated with any Wordpress blog and takes less than 5 minutes to set up.' );
define( 'ECWID_WL_PLUGIN_AUTHOR_URI', 'Netcash Shop' );

add_filter('all_plugins', 'ecwid_wl_all_plugins');

function ecwid_wl_all_plugins( $plugins )
{
        $key = 'ecwid-shopping-cart/ecwid-shopping-cart.php';
        $ecwid = @$plugins[$key];

        if ($ecwid) {
                $ecwid['Name'] = ECWID_WL_PLUGIN_NAME;
                $ecwid['Description'] = ECWID_WL_PLUGIN_DESCRIPTION;
                $ecwid['Author'] = ECWID_WL_PLUGIN_NAME;
                $ecwid['AuthorURI'] = ECWID_WL_PLUGIN_AUTHOR_URI;
                $plugins[$key] = $ecwid;
        }
        return $plugins;
}

add_action('admin_enqueue_scripts', 'ecwid_wl_enqueue_scripts');

function ecwid_wl_enqueue_scripts()
{
        wp_enqueue_style( 'ecwid-wl-plugins', plugin_dir_url( __FILE__ ) . 'plugins.css' );
        wp_enqueue_script( 'ecwid-wl-plugins', plugin_dir_url( __FILE__ ) . 'plugins.js' );
        wp_localize_script( 'ecwid-wl-plugins', 'EcwidWLPlugins', array(
                'message' => sprintf( __( 'There is a new version of %s available. <a class="update-link">Update now</a>.' ), ECWID_WL_PLUGIN_NAME )
        ));
}

add_filter('plugin_row_meta', 'ecwid_wl_hide_view_details', 10, 4);

function ecwid_wl_hide_view_details($plugin_meta, $plugin_file, $plugin_data, $status)
{
        if(isset($plugin_data['slug']) && $plugin_data['slug'] == 'ecwid-shopping-cart')
        {
                unset($plugin_meta[2]);
        }
        return $plugin_meta;
}